/**
 * 只添加了一些必要的参数，并没有写完整，因为剩下的大部分用不到
 */

// 定义axios
import * as axios from 'axios';

declare module 'axios' {
    export interface CustomSuccessData<T> {
        code: number;
        msg: string;
        data: T;
        total: number;
        [keys: string]: any;
    }
}

// 图片选择
export interface ImgInfo {
    file: string;
}

// 表单提交的验证
export interface FromSend {
    preventDefault: Function;
}

// 视频文件
export interface VideoInfo {
    type: string;
    name: string;
    uid: string;
}

// 登录返回数据
export interface LoginData{
    api_token: string;
    memberid: number;
}

// 用户信息
export interface UserInfo {
    name: string;
    img: string;
    language: string;
    currency: string;
    zoneStr: string;
    memberid: string;
    country: string;
    live: string;
    mtongue: string;
    tlanguage: string;
    willsay: string;
    interest:any;
    mobile: string;
    email: string;
    birthday: string;
    video: string;
    desc: string;
    money: string;
}


export interface LiveList {
    liveid: number;
    memberid: number;
    title: string;
    img: string;
    fileid: string;
    fileurl: string;
    fileduration: string;
    vodurl: string;
    vodid: string;
    vodduration: string;
    dateline: string;
    livetime: number;
    livenumber: number;
    status: number;
    livestatus: number;
    students: string;
    desc: string;
    deleted_at: null;
    created_at: string;
    updated_at: string;
    statusname: string;
    starttime: string;
    begin: number;
}

export interface LivelistInfo {
    data: LiveList[];
    code: number;
    msg: string;
    total: number;
}